Bug 57497 - EDITING: PIVOTTABLE crash LibO while ungroping
Summary: EDITING: PIVOTTABLE crash LibO while ungroping
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.1.0 target:4.0.0.0.beta0 tar...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-11-24 23:09 UTC by m.a.riosv
Modified: 2013-04-26 03:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample data for pivot table (10.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-11-24 23:09 UTC, m.a.riosv
Details
bt with symbols + console logs (11.59 KB, text/plain)
2012-11-25 00:55 UTC, Julien Nabet
Details
Bug 57497 - WinDbg session with FAILED_SOURCE_CODE (10.77 KB, text/plain)
2012-11-30 09:02 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2012-11-24 23:09:59 UTC
Created attachment 70529 [details]
Sample data for pivot table

Open the attachment spreadsheet.

Create a pivot table, with all by default.
Date as row field, value as data field.
Group by date - Month. Ok.
Menu/Data/Ungroup -> crash LibO.
Comment 1 m.a.riosv 2012-11-24 23:12:41 UTC
System: Win 7x64 Ultimate.

Sorry no issue with 3.5.7.2
Comment 2 Julien Nabet 2012-11-25 00:55:07 UTC
Created attachment 70532 [details]
bt with symbols + console logs

On pc Debian x86-64 with master sources updated today (commit 4a19c5bc3c679f83ac0d906e39dc1c51cbea97af), I reproduced the crash.

Attached bt + console logs
Comment 3 Julien Nabet 2012-11-25 00:56:04 UTC
Kohei: one for you?
Comment 4 bfoman (inactive) 2012-11-30 09:02:11 UTC
Created attachment 70818 [details]
Bug 57497 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 4.0.0.0.alpha1+ 
Build ID: own W7 debug build (dec8fe97d9f48d59b6bb0f98faded0f6aa8397df) 
Windows 7 Professional SP1 64 bit

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 5 Kohei Yoshida 2012-11-30 14:10:34 UTC
I'll look into it.
Comment 6 Kohei Yoshida 2012-12-05 16:37:50 UTC
Ok. I found the cause of the crash, which was luckily just a simple oversight.

I'm now trying to set up a unit test for this, to prevent this from regressing in future releases.
Comment 7 Not Assigned 2012-12-05 18:00:43 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56bb08e75c12cb85041607f7f34451018b09414f

fdo#57497: Remove group table data when all group dimensions are gone.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-12-05 18:33:44 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24d18ae11a5d78c322f18460e7b1b423af221328&g=libreoffice-4-0

fdo#57497: Remove group table data when all group dimensions are gone.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 m.a.riosv 2012-12-05 20:39:11 UTC
Hi Kohei, thanks. I'll try.
Nice to see how detailed are the comments in the code.
Comment 10 m.a.riosv 2012-12-08 00:49:26 UTC
Seems to me solved in
LoDev Version 4.0.0.0.beta1+ (Build ID: 465d3512cca457c79e6ef85ad1cbf6bcc88e888)
Comment 11 Not Assigned 2012-12-08 02:28:25 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f421e804371670001bc5af25b8b66d67dfdb3261&g=libreoffice-3-6

fdo#57497: Remove group table data when all group dimensions are gone.


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Kohei Yoshida 2012-12-10 15:05:34 UTC
Now I can mark this fixed.  The fix will be in 3.6.5.
Comment 13 Joel Madero 2013-04-26 03:14:44 UTC
As part of FDO maintenance we are checking versions of regressions against minor releases.

I have been able to verify this bug on:
3.6.0.0-alpha1

Updating version